xmlwrapp Lightweight C++ XML parsing library

Public Member Functions | List of all members
xml::attributes::const_iterator Class Reference

Const Iterator class for accessing attribute pairs. More...

`#include <attributes.h>`

## Public Member Functions
const_iterator & | operator++ ()
| prefix increment More...
const_iterator | operator++ (int)
| postfix increment (avoid if possible better for performance) More...

## Detailed Description

Const Iterator class for accessing attribute pairs.

## Member Function Documentation

## ◆ operator++() [1/2]

const_iterator& xml::attributes::const_iterator::operator++ | ( |  | ) |

prefix increment

## ◆ operator++() [2/2]

const_iterator xml::attributes::const_iterator::operator++ | ( | int |  | ) |

postfix increment (avoid if possible better for performance)

The documentation for this class was generated from the following file:

- xmlwrapp/attributes.h